# Usage guide

- [Using console commands](https://docs.create-magento-app.com/v1/usage-guide/cli.md)
- [Accessing Docker containers](https://docs.create-magento-app.com/v1/usage-guide/accessing-docker-containers.md)
- [Linking a Scandi Theme](https://docs.create-magento-app.com/v1/usage-guide/themes.md)
- [Enabling XDebug](https://docs.create-magento-app.com/v1/usage-guide/enabling-xdebug.md)
- [Enabling SSL](https://docs.create-magento-app.com/v1/usage-guide/enabling-ssl.md)
- [Configuring PHP](https://docs.create-magento-app.com/v1/usage-guide/configuring-php.md)
- [Use custom domain](https://docs.create-magento-app.com/v1/usage-guide/setup-custom-domain.md)
- [Access on the local network](https://docs.create-magento-app.com/v1/usage-guide/setup-public-access.md)
- [Importing database](https://docs.create-magento-app.com/v1/usage-guide/importing-database.md)
- [Importing remote database](https://docs.create-magento-app.com/v1/usage-guide/importing-database/importing-remote-database.md)
- [Using Enterprise Edition](https://docs.create-magento-app.com/v1/usage-guide/enterprise-edition.md)
- [Converting legacy Docker setup to CMA](https://docs.create-magento-app.com/v1/usage-guide/converting-legacy-docker-setup-to-cma.md)
- [Improve Performance](https://docs.create-magento-app.com/v1/usage-guide/improve-performance.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.create-magento-app.com/v1/usage-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
